RDKit: ForceFields::UFF Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions | Variables
ForceFields::UFF Namespace Reference

## Namespaces
| Params
| Utils

## Classes
class | AngleBendContrib
| The angle-bend term for the Universal Force Field. More...
class | AngleConstraintContrib
| An angle range constraint modelled after a AngleBendContrib. More...
class | AtomicParams
| class to store atomic parameters for the Universal Force Field More...
class | BondStretchContrib
| The bond-stretch term for the Universal Force Field. More...
class | DistanceConstraintContrib
| A distance range constraint modelled after a BondStretchContrib. More...
class | InversionContrib
| The inversion term for the Universal Force Field. More...
class | ParamCollection
| singleton class for retrieving UFF AtomParams More...
class | PositionConstraintContrib
| A position constraint of the type 0.5k * deltaX^2. More...
class | TorsionAngleContrib
| the torsion term for the Universal Force Field More...
class | TorsionConstraintContrib
| A dihedral angle range constraint modelled after a TorsionContrib. More...
class | UFFAngle
| class to store UFF parameters for angle bending More...
class | UFFBond
| class to store UFF parameters for bond stretching More...
class | UFFInv
| class to store UFF parameters for inversions More...
class | UFFTor
| class to store UFF parameters for torsions More...
class | UFFVdW
| class to store UFF parameters for van der Waals interactions More...
class | vdWContrib
| the van der Waals term for the Universal Force Field More...

## Functions
bool | isDoubleZero (const double x)
void | clipToOne (double &x)

## Variables
const double | DEG2RAD = M_PI / 180.0
const double | RAD2DEG = 180.0 / M_PI

## Function Documentation

void ForceFields::UFF::clipToOne | ( | double & | x | ) |
| inline

Definition at line 29 of file UFF/Params.h.

bool ForceFields::UFF::isDoubleZero | ( | const double | x | ) |
| inline

Definition at line 26 of file UFF/Params.h.

## Variable Documentation

const double ForceFields::UFF::DEG2RAD = M_PI / 180.0

Definition at line 24 of file UFF/Params.h.

const double ForceFields::UFF::RAD2DEG = 180.0 / M_PI

Definition at line 25 of file UFF/Params.h.